import rhinoscriptsyntax as rs
import scriptcontext as sc

def acadMatch(source):
    rs.Command("_SelWindow")

    targets = rs.SelectedObjects()
    if targets:
        rs.MatchObjectAttributes(targets, source)
        rs.UnselectAllObjects()
        acadMatch(source)
    else:
        print "No target object found. Press Escape to quit."
        rs.Sleep(500)
        if not sc.escape_test(False):
            acadMatch(source)

sources = rs.SelectedObjects()
if len(sources) > 0:
    source = sources[0]
else:
    source = rs.GetObject("Select source object")

if source:
    rs.UnselectAllObjects()
    acadMatch(source)
else:
    print "No source object found."
